# Modules to build and include in the package, 1 to include, 0 to skip
%define include_APACHE 1
%define include_APACHEPLAIN 1
%define include_APACHE2 1
# Extensions to build and include in the package, 1 to include, 0 to skip
%define include_CR2LF 0
%define include_COMPATIB 0
%define include_CONVIMAGE 0
%define include_MYSQL 1
%define include_MYSQL4 1
%define include_POSTGRES 1
%define include_ODBC 1
%define include_ORACLE 1
%define include_REGEXP 1
# Should we ship the BifernoSDK?
%define shipsdk 0
# Should we clean tree in BUILD dir when building?
# (should normally be 1, set to 0 only for testing!!!)
%define clean_objects 1
# Should install scripts print messages to screen?
%define verbose_install 0
# Should make print outcommands?
%define verbose_make 0

Name: biferno
Version: 1.0.1
Release: 4
Distribution: Biferno RedHat 8.0 packages
Vendor: Tabasoft SAS, Rome, Italy
Packager: Parnobis B.V. <packagers@parnobis.com>
URL: http://www.tabasoft.it/biferno/bfrdownload/dl/1.0.1/linux/psyche/biferno-1.0.1-Linux.src.tar.gz
Source0: %{name}-%{version}-Linux.src.tar.gz
Summary: A new generation Web scripting language
Group: Applications/Internet
License: GPL
#NEVER set this to /
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Biferno is a new generation Web scripting language that allows developers 
the rapid implementation of dynamic Web applications and of Web sites 
offering a high degree of user interactivity.

%if %{include_APACHE}
%package apachemodule
Summary: The Apache Web server (version 1.x, EAPI) module for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
Requires: apache <= 1.3.27
BuildPreReq: apache-devel <= 1.3.27
%description apachemodule
Implements the Apache Web server (version 1.x, EAPI) module for Biferno
%endif

%if %{include_APACHEPLAIN}
%package apacheplainmodule
Summary: The Apache Web server (version 1.x, PAPI) module for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
Requires: apache <= 1.3.27
BuildPreReq: apache-devel <= 1.3.27
%description apacheplainmodule
Implements the Apache Web server (version 1.x, PAPI) module for Biferno
%endif

%if %{include_APACHE2}
%package apache2module
Summary: The Apache Web server (version 2.x) module for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
Requires: httpd >= 2.0.41
%description apache2module
Implements the Apache Web server (version 2.x) module for Biferno
%endif

%if %{include_CONVIMAGE}
%package imagesupport
Summary: The image manipulation support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
%description imagesupport
Implements a Biferno extension providing image manipulation capabilities
%endif

%if %{include_ODBC}
%package odbcsupport
Summary: The ODBC support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
%description odbcsupport
Implements a Biferno extension providing database access via ODBC
%endif

%if %{include_MYSQL}
%package mysqlsupport
Summary: The MySQL support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
# Requires: mysql-client
# BuildPreReq: mysql-devel
%description mysqlsupport
Implements a Biferno extension providing MySQL database access via native drivers
%endif

%if %{include_MYSQL4}
%package mysql4support
Summary: The MySQL4 support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
# Requires: mysql-client
# BuildPreReq: mysql-devel                                                                                   
%description mysql4support
Implements a Biferno extension providing MySQL (version 4.x) database access via native drivers
%endif

%if %{include_POSTGRES}
%package postgressupport
Summary: The PostgreSQL support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
Requires: postgresql
BuildPreReq: postgresql-devel
%description postgressupport
Implements a Biferno extension providing PostgreSQL database access via native drivers
%endif

%if %{include_ORACLE}
%package oraclesupport
Summary: The Oracle database support extension for Biferno
Group: Applications/Internet
Requires: biferno >= 1.0.1
%description oraclesupport
Implements a Biferno extension providing Oracle database access via native drivers
%endif

#---------Start configuration section
%define ROOT $RPM_BUILD_ROOT
# no leading slash!!
# distribution dirs
%define BIFDISTDIR Distribution/Biferno_Unix/Linux
%define BIFBINDIR %{BIFDISTDIR}/i386/bin
%define BIFLIBDIR %{BIFDISTDIR}/i386/lib
%define BIFMODDIR %{BIFDISTDIR}/i386/modules/apache
%define BIFHOMEDIR BifernoHome
%define BIFHOMEDISTDIR %{BIFDISTDIR}/i386/%{BIFHOMEDIR}
%define BIFSDKDISTDIR %{BIFDISTDIR}/i386/BifernoSDK
%define BIFMANDIR %{BIFDISTDIR}/../noarch/manpages
%define BIFINITDIR %{BIFDISTDIR}/../noarch/init
%define BIFINIT %{name}
# library and link names
%define BIFLIBNAME lib%{name}API.1.0.0.a
%define BIFLIBLINKNAME lib%{name}API.a
# installation dirs
%define BIFHOMEINSTALLDIR home
# Apache conf
%define HTTPDMODULES etc/httpd/modules
%define HTTPDCONF etc/httpd/conf/httpd.conf
# a tag string to identify changes to system/app config files
%define BIFSTR :86021:
%define WHATEXTENSIONS CR2LF=%{include_CR2LF} COMPATIB=%{include_COMPATIB} CONVIMAGE=%{include_CONVIMAGE} MYSQL=%{include_MYSQL} MYSQL4=%{include_MYSQL4} POSTGRES=%{include_POSTGRES} ODBC=%{include_ODBC} ORACLE=%{include_ORACLE} REGEXP=%{include_REGEXP}
%define WHATMODULES PAPI=%{include_APACHEPLAIN} EAPI=%{include_APACHE} APACHE2=%{include_APACHE2} 
#---------End configuration section

%prep
%if %{clean_objects}
%setup -q
%else
%setup -T -D
%endif

%build
cd _Unix
%if %{verbose_make}
make %{WHATEXTENSIONS} %{WHATMODULES} MAKESDK=%{shipsdk} && make %{WHATEXTENSIONS} %{WHATMODULES} MAKESDK=%{shipsdk} distinstall
%else
make -s %{WHATEXTENSIONS} %{WHATMODULES} MAKESDK=%{shipsdk} && make -s %{WHATEXTENSIONS} %{WHATMODULES} MAKESDK=%{shipsdk} distinstall
%endif

#---------- install ----------
%install
rm -rf $RPM_BUILD_ROOT
# install binaries
install -m 755 -d %{ROOT}/%{_bindir}
install -m 755  \
	%{BIFBINDIR}/%{name}d \
	%{BIFBINDIR}/%{name}ctl \
	%{ROOT}/%{_bindir}
# install library, link will be created by postinstall script
install -m 755 -d %{ROOT}/%{_libdir}
install -m 644 %{BIFLIBDIR}/%{BIFLIBNAME} %{ROOT}/%{_libdir}
# install man pages
install -m 755  -d %{ROOT}/%{_mandir}/man8
install -m 644  \
	%{BIFMANDIR}/%{name}d.8 \
	%{BIFMANDIR}/%{name}ctl.8 \
	%{ROOT}/%{_mandir}/man8
gzip %{ROOT}/%{_mandir}/man8/%{name}d.8 %{ROOT}/%{_mandir}/man8/%{name}ctl.8
# install apache modules
install -m 755  -d %{ROOT}/%{HTTPDMODULES}
%if %{include_APACHE}
install -m 755  %{BIFMODDIR}/mod_%{name}_eapi.so %{ROOT}/%{HTTPDMODULES}
%endif
%if %{include_APACHEPLAIN}
install -m 755  %{BIFMODDIR}/mod_%{name}_papi.so %{ROOT}/%{HTTPDMODULES}
%endif
%if %{include_APACHE2}
install -m 755  %{BIFMODDIR}/mod_%{name}_apache2.so %{ROOT}/%{HTTPDMODULES} 
%endif
# copy Biferno init script to /etc/rc.d/init.d
install -m 755  -d %{ROOT}/etc/rc.d/init.d
install -m 755  %{BIFINITDIR}/%{BIFINIT} %{ROOT}/etc/rc.d/init.d
# copy Biferno home to target location
install -m 700  -d %{ROOT}/%{BIFHOMEINSTALLDIR}/%{BIFHOMEDIR}
cp -r %{BIFHOMEDISTDIR}/ %{ROOT}/%{BIFHOMEINSTALLDIR}
%if %{shipsdk}
# copy BifernoSDK into BifernoHome                                                                                                
cp -r %{BIFSDKDISTDIR} %{ROOT}/%{BIFHOMEINSTALLDIR}/%{BIFHOMEDIR}
%endif

# add group and user if they do not exist
if [ "`grep -c "^biferno:" /etc/group`" = "0" ]; then
    /usr/sbin/groupadd biferno	
fi
if [ "`grep -c "^biferno:" /etc/passwd`" = "0" ]; then
    /usr/sbin/useradd -c "Biferno" -g biferno -s /bin/false  \
	-r -d %{ROOT}/%{BIFHOMEINSTALLDIR}/%{BIFHOMEDIR} biferno 2> /dev/null || :
fi

#---------- pre ----------
%pre
if [ "$1" = 1 ]; then #do this only if this the first version installed

    # add group if it did not exist
    if [ "`grep -c "^biferno:" /etc/group`" = "0" ]; then
	/usr/sbin/groupadd biferno	
    fi
    # add user if it did not exist
    if [ "`grep -c "^biferno:" /etc/passwd`" = "0" ]; then
	/usr/sbin/useradd -c "Biferno" -g biferno -s /bin/false \
	    -r -d /%{BIFHOMEINSTALLDIR}/%{BIFHOMEDIR} biferno 2> /dev/null || :
    fi
fi	

#---------- post ----------
%post
# create link to library
(cd %{_libdir} && ln -f -s %{BIFLIBNAME} %{BIFLIBLINKNAME});
if [ "$1" = 1 ]; then #do this only if this is the first version installed
    # start biferno at system startup
    /sbin/chkconfig --add %{name}
fi

%if %{include_APACHE}
%post apachemodule

# use doc-in-place, parameters CFILE = file to edit, COMMAND=sed string command to
# run, nocommand for no sed action, lines of text to append, finish with endofit
    add_bif_config()
    {
	line=""
	read CFILE
	read COMMAND
	[ -f $CFILE ] || exit 0
	TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
	[ -z "$TEMPFILE" ]  && {
	    echo "Could not make temporary file, biferno configuration not added to $CFILE" >&2
	    exit 1
	}
	%if %{verbose_install}
	echo -n "Editing ${CFILE} ..."
	%endif
    # if sed command is nocommand, copy cfile to tempfile
    # else sed it now and put result in temp file
	if [ "$COMMAND" = "nocommand" ]; then
	    cat $CFILE > $TEMPFILE
	else
	    sed -e "${COMMAND}" $CFILE > $TEMPFILE
	fi
    # add biferno section at the end of temp file
	{
	    while [ "$line" != "endofit" ] 
	      do
	      read line
	      if [ "$line" != "endofit" ] 
		  then
		  echo "${line}"
	      fi
	    done
	} >> $TEMPFILE
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave
	mv $TEMPFILE $CFILE && /bin/rm -f $TEMPFILE
	%if %{verbose_install}
	echo "done"
	%endif
    }

    # add biferno module configuration to apache config file
    # add index.bfr to DirectoryIndex directive in apache config file
add_bif_config <<EOF
/%{HTTPDCONF}
s/^[	 ]*DirectoryIndex.*/& index.bfr/

#%{BIFSTR}-START Biferno section
LoadModule %{name}_module modules/mod_%{name}.so
AddHandler %{name}-handler .bfr
#%{BIFSTR}-END Biferno section
endofit
EOF

# create link to biferno module in apache module dir
    (cd /%{HTTPDMODULES} && ln -f -s mod_%{name}_eapi.so mod_%{name}.so)
%endif

%if %{include_APACHEPLAIN}
%post apacheplainmodule

# use doc-in-place, parameters CFILE = file to edit, COMMAND=sed string command to
# run, nocommand for no sed action, lines of text to append, finish with endofit
    add_bif_config()
    {
	line=""
	read CFILE
	read COMMAND
	[ -f $CFILE ] || exit 0
	TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
	[ -z "$TEMPFILE" ]  && {
	    echo "Could not make temporary file, biferno configuration not added to $CFILE" >&2
	    exit 1
	}
	%if %{verbose_install}
	echo -n "Editing ${CFILE} ..."
	%endif
    # if sed command is nocommand, copy cfile to tempfile
    # else sed it now and put result in temp file
	if [ "$COMMAND" = "nocommand" ]; then
	    cat $CFILE > $TEMPFILE
	else
	    sed -e "${COMMAND}" $CFILE > $TEMPFILE
	fi
    # add biferno section at the end of temp file
	{
	    while [ "$line" != "endofit" ] 
	      do
	      read line
	      if [ "$line" != "endofit" ] 
		  then
		  echo "${line}"
	      fi
	    done
	} >> $TEMPFILE
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave
	mv $TEMPFILE $CFILE && /bin/rm -f $TEMPFILE
	%if %{verbose_install}
	echo "done"
	%endif
    }

    # add biferno module configuration to apache config file
    # add index.bfr to DirectoryIndex directive in apache config file
add_bif_config <<EOF
/%{HTTPDCONF}
s/^[	 ]*DirectoryIndex.*/& index.bfr/

#%{BIFSTR}-START Biferno section
LoadModule %{name}_module modules/mod_%{name}.so
AddHandler %{name}-handler .bfr
#%{BIFSTR}-END Biferno section
endofit
EOF

# create link to biferno module in apache module dir
    (cd /%{HTTPDMODULES} && ln -f -s mod_%{name}_papi.so mod_%{name}.so)
%endif

%if %{include_APACHE2}
%post apache2module

# use doc-in-place, parameters CFILE = file to edit, COMMAND=sed string command to
# run, nocommand for no sed action, lines of text to append, finish with endofit
    add_bif_config()
    {
	line=""
	read CFILE
	read COMMAND
	[ -f $CFILE ] || exit 0
	TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
	[ -z "$TEMPFILE" ]  && {
	    echo "Could not make temporary file, biferno configuration not added to $CFILE" >&2
	    exit 1
	}
	%if %{verbose_install}
	echo -n "Editing ${CFILE} ..."
	%endif
    # if sed command is nocommand, copy cfile to tempfile
    # else sed it now and put result in temp file
	if [ "$COMMAND" = "nocommand" ]; then
	    cat $CFILE > $TEMPFILE
	else
	    sed -e "${COMMAND}" $CFILE > $TEMPFILE
	fi
    # add biferno section at the end of temp file
	{
	    while [ "$line" != "endofit" ] 
	      do
	      read line
	      if [ "$line" != "endofit" ] 
		  then
		  echo "${line}"
	      fi
	    done
	} >> $TEMPFILE
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave
	mv $TEMPFILE $CFILE && /bin/rm -f $TEMPFILE
	%if %{verbose_install}
	echo "done"
	%endif
    }

    # add biferno module configuration to apache config file
    # add index.bfr to DirectoryIndex directive in apache config file
add_bif_config <<EOF
/%{HTTPDCONF}
s/^[	 ]*DirectoryIndex.*/& index.bfr/

#%{BIFSTR}-START Biferno section
LoadModule %{name}_module modules/mod_%{name}.so
AddHandler %{name}-handler .bfr
#%{BIFSTR}-END Biferno section
endofit
EOF

# create link to biferno module in apache module dir
    (cd /%{HTTPDMODULES} && ln -f -s mod_%{name}_apache2.so mod_%{name}.so)
%endif

#---------- preun ----------
%preun
# stop biferno and remove from system startup
/sbin/service %{name} stop > /dev/null 2>&1
/sbin/chkconfig --del %{name}

#---------- postun ----------
%postun
# remove link to library
rm -f %{_libdir}/%{BIFLIBLINKNAME}
if [ "$1" = 0 ]; then #do this only if this is the last version erased
    # remove group and user
    /usr/sbin/userdel biferno
    # userdel seems to take care of the group as well
    # /usr/sbin/groupdel biferno
fi

%if %{include_APACHE}
%postun apachemodule

# parameters CFILE = file to edit, COMMAND=sed string command to run
remove_bif_config()
{
    CFILE=$1
    COMMAND=$2
    [ -f $CFILE ] || exit 0
    TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
    [ -z "$TEMPFILE" ]  && {
	echo "Could not make temporary file, biferno configuration not removed from $CFILE" >&2
	exit 1
    }
    %if %{verbose_install}
    echo -n "Editing ${CFILE}, removing biferno configuration..."
    %endif
    sed -e "${COMMAND}" $CFILE > $TEMPFILE && \
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave && \
	cp $TEMPFILE $CFILE && \
	/bin/rm -f $TEMPFILE
    %if %{verbose_install}
    echo "done"
    %endif
}


KILLBIFCFG="/#%{BIFSTR}-START/,/#%{BIFSTR}-END/d"
# remove biferno module configuration from apache config file  
remove_bif_config /%{HTTPDCONF} "${KILLBIFCFG}"
# remove index.bfr from apache config file 
remove_bif_config /%{HTTPDCONF} "/^[	 ]*DirectoryIndex/s/[	 ]*index.bfr$//"
# remove link to biferno module from apache module dir
rm -f /%{HTTPDMODULES}/mod_%{name}.so

    # remove link to biferno module from  apache module dir
    rm -f /%{HTTPDMODULES}/mod_%{name}.so
%endif

%if %{include_APACHEPLAIN}
%postun apacheplainmodule

# parameters CFILE = file to edit, COMMAND=sed string command to run
remove_bif_config()
{
    CFILE=$1
    COMMAND=$2
    [ -f $CFILE ] || exit 0
    TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
    [ -z "$TEMPFILE" ]  && {
	echo "Could not make temporary file, biferno configuration not removed from $CFILE" >&2
	exit 1
    }
    %if %{verbose_install}
    echo -n "Editing ${CFILE}, removing biferno configuration..."
    %endif
    sed -e "${COMMAND}" $CFILE > $TEMPFILE && \
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave && \
	cp $TEMPFILE $CFILE && \
	/bin/rm -f $TEMPFILE
    %if %{verbose_install}
    echo "done"
    %endif
}


KILLBIFCFG="/#%{BIFSTR}-START/,/#%{BIFSTR}-END/d"
# remove biferno module configuration from apache config file  
remove_bif_config /%{HTTPDCONF} "${KILLBIFCFG}"
# remove index.bfr from apache config file 
remove_bif_config /%{HTTPDCONF} "/^[	 ]*DirectoryIndex/s/[	 ]*index.bfr$//"
# remove link to biferno module from apache module dir
rm -f /%{HTTPDMODULES}/mod_%{name}.so

    # remove link to biferno module from  apache module dir
    rm -f /%{HTTPDMODULES}/mod_%{name}.so
%endif

%if %{include_APACHE2}
%postun apache2module

# parameters CFILE = file to edit, COMMAND=sed string command to run
remove_bif_config()
{
    CFILE=$1
    COMMAND=$2
    [ -f $CFILE ] || exit 0
    TEMPFILE=`/bin/mktemp /tmp/biferno-tmp.XXXXXX`
    [ -z "$TEMPFILE" ]  && {
	echo "Could not make temporary file, biferno configuration not removed from $CFILE" >&2
	exit 1
    }
    %if %{verbose_install}
    echo -n "Editing ${CFILE}, removing biferno configuration..."
    %endif
    sed -e "${COMMAND}" $CFILE > $TEMPFILE && \
	cp -p $CFILE $CFILE.`date "+%d%m%y%H%M"`.bifernosave && \
	cp $TEMPFILE $CFILE && \
	/bin/rm -f $TEMPFILE
    %if %{verbose_install}
    echo "done"
    %endif
}


KILLBIFCFG="/#%{BIFSTR}-START/,/#%{BIFSTR}-END/d"
# remove biferno module configuration from apache config file  
remove_bif_config /%{HTTPDCONF} "${KILLBIFCFG}"
# remove index.bfr from apache config file 
remove_bif_config /%{HTTPDCONF} "/^[	 ]*DirectoryIndex/s/[	 ]*index.bfr$//"
# remove link to biferno module from apache module dir
rm -f /%{HTTPDMODULES}/mod_%{name}.so

    # remove link to biferno module from  apache module dir
    rm -f /%{HTTPDMODULES}/mod_%{name}.so
%endif

#---------- clean ----------
%clean
rm -rf $RPM_BUILD_ROOT

#---------- files ----------
%files
%defattr(-,root,root)
/etc/rc.d/init.d/biferno
%{_bindir}/bifernod
%{_bindir}/bifernoctl
%{_libdir}/libbifernoAPI.1.0.0.a
%{_mandir}/man8/bifernod.8.gz
%{_mandir}/man8/bifernoctl.8.gz
%attr(755,biferno,biferno) %dir /home/BifernoHome
%defattr(-,biferno,biferno)
/home/BifernoHome/Utils
/home/BifernoHome/bifernoadmin
/home/BifernoHome/Man
%if %{shipsdk}
/home/BifernoHome/BifernoSDK
%endif
%dir /home/BifernoHome/Extensions
%if %{include_COMPATIB}
/home/BifernoHome/Extensions/compatib_bfr.so
%endif
%if %{include_CR2LF}
/home/BifernoHome/Extensions/cr2lf_bfr.so
%endif
%if %{include_REGEXP}
/home/BifernoHome/Extensions/regexp_bfr.so
%endif

%if %{include_APACHE}
%files apachemodule
%defattr(-,root,root)
/etc/httpd/modules/mod_biferno_eapi.so
%endif

%if %{include_APACHEPLAIN}
%files apacheplainmodule
%defattr(-,root,root)
/etc/httpd/modules/mod_biferno_papi.so
%endif

%if %{include_APACHE2}
%files apache2module
%defattr(-,root,root)
/etc/httpd/modules/mod_biferno_apache2.so
%endif

%if %{include_CONVIMAGE}
%files imagesupport
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/convimage_bfr.so
%endif

%if %{include_ODBC}
%files odbcsupport
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/odbc_bfr.so
%endif

%if %{include_MYSQL}
%files mysqlsupport
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/mysql_bfr.so
%endif

%if %{include_MYSQL4}
%files mysql4support
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/mysql4_bfr.so
%endif

%if %{include_POSTGRES}
%files postgressupport
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/postgres_bfr.so
%endif

%if %{include_ORACLE}
%files oraclesupport
%defattr(-,biferno,biferno)
/home/BifernoHome/Extensions/oracle_bfr.so
%endif

%changelog
* Wed Apr 23 2003 VF <vvf@terl.home.net>
- Now building separate packages for convimage and database extensions

* Fri Mar 28 2003 root <vvf@terl.home.net>
- now installing uncompressed manpages,
- eliminated .gz suffix for man pages for OSX compatibility,
- Linux RPM appears to be compressing the manpages automatically 


* Wed Feb 19 2003 VF <vvf@terl.home.net>
- changes to build from distribution source tarball

* Tue Feb 11 2003 VF <vvf@terl>
- Made many changes to build from actual tarball of 1.0.0

* Mon Jan 27 2003 VF <vvf@terl>
- Added man pages. 
- Removed unnecessary rm of binary, manpages, bifernohome from postun script.

* Sat Jan 18 2003 VF <vvf@terl>
- Changed init script name to biferno

* Sun Jan 12 2003 VF <vvf@terl>
- Initial build.
